<?php

namespace Ardent\Undercurrent\Http;

class GenericResponse implements ResponseInterface
{
    public function __construct(
        private readonly string     $body,
        private readonly StatusEnum $status = StatusEnum::OK,
    )
    {
    }

    public function getStatus(): StatusEnum
    {
        return $this->status;
    }

    public function getBody(): string
    {
        return $this->body;
    }
}