<?php

namespace Ardent\Undercurrent\Http;

use App\Controller\BaseController;
use Ardent\Undercurrent\Attribute\Route;
use Ardent\Undercurrent\Collector\ClassAttributeCollector;
use Ardent\Undercurrent\Container\ContainerInterface;

class GenericRouter implements RouterInterface
{
    public function __construct(
        private readonly ContainerInterface $container,
        private readonly RouterConfig $config,
    )
    {
    }

    public function dispatch(RequestInterface $request): ResponseInterface
    {
        $controller = $this->container->get(BaseController::class);
        $method = 'helloWorld';
        return $controller->$method();
    }
}